#!/bin/sh
#set -x
#echo disableuser.sh
#
#  Please read the License and Disclaimer found in the Readme.txt file 
#  in the /usr/local/ASAM/bin/PlatformServices/PlatformReceiver/scripts
#  directory.
#
#  COPYRIGHT
#
#  Copyright @ 2002 Omnibond Systems, LLC.
#
# 
# 
# There is no good way, using native UNIX commands, to process
# a disable event. 
#
# One possibility is: passwd -l userid
#
# The above causes the encrypted password in /etc/passwd to be 
# unusable, which effectively disables the user. Unfortunately, it 
# is irreversible, leaving us with no programmatic way (using
# only native UNIX commands) to process an enable event.
#
# If you configure PAM so that users can not authenticate using
# /etc/passwd, and can only authenticate using Novell Account
# Management, then users will be properly disabled and enabled
# without having to do anything on the local platform.
#
# uncomment the following lines to use the passwd -l method.
#
#printenv
#COMMAND="/bin/passwd -l"
#
#[ "$TARGETUSER" ]
#if [ $? = "1" ]
#then
#  /bin/logger -p $FACILITY.err -t $0 -i \
#    `echo "TARGETUSER not set"`
#  exit 254
#fi
#
## specify the user
#COMMAND=$COMMAND" "$TARGETUSER
#
#
#if [ "$CHECKMODE" ]  
#then 
#  /bin/logger -p $FACILITY.notice -t $0 -i \
#     `echo ":"$COMMAND":"`
#  exit 0
#else
#  eval $COMMAND
#  RC=$?
#  /bin/logger -p $FACILITY.notice -t $0 -i \
#     `echo ":"$COMMAND": RC="$RC`
#  exit $RC
#fi
#
## shouldn't ever get here
#exit 255
if [ "$DEBUGMODE" = "TRUE" ] ; then set -x ; fi
exit $NOTHINGTODO
