#!/bin/sh
#set -x
#echo pendeluser.sh
#
#  Please read the License and Disclaimer found in the Readme.txt file 
#  in the /usr/local/ASAM/bin/PlatformServices/PlatformReceiver/scripts
#  directory.
#
#  COPYRIGHT
#
#  Copyright @ 2002 Omnibond Systems, LLC.
#
# pending delete user script
#printenv

if [ "$DEBUGMODE" = "TRUE" ] ; then set -x ; fi

# On some solarises passwd -l stops and prompts for authentication,
# an obviously bad thing to do from a script. Needs to be figured out
# or worked around before this script can be safely used to disable 
# users. For now, just exit.
exit $NOTHINGTODO

COMMAND="/bin/passwd -l"

[ "$TARGETUSER" ]
if [ $? = "1" ]
then
  /bin/logger -p $FACILITY.err -t $0 -i \
    `echo "TARGETUSER not set"`
  exit 255
fi

# specify the user
COMMAND=$COMMAND" "$TARGETUSER


if [ "$CHECKMODE" ]  
then 
  /bin/logger -p $FACILITY.notice -t $0 -i \
     `echo ":"$COMMAND":"`
  exit $NOTHINGTODO
else
  eval $COMMAND
  RC=$?
  /bin/logger -p $FACILITY.notice -t $0 -i \
     `echo ":"$COMMAND": RC="$RC`
  exit $RC
fi

# shouldn't ever get here
exit 255
