#!/bin/sh
#set -x
#echo "deluser.sh rbac"
#
#  Please read the License and Disclaimer found in the Readme.txt file 
#  in the /usr/local/ASAM/bin/PlatformServices/PlatformReceiver/scripts
#  directory.
#
#  COPYRIGHT
#
#  Copyright @ 2002 Omnibond Systems, LLC.
#

if [ "$DEBUGMODE" = "TRUE" ] ; then set -x ; fi

if [ "$URBAC" = "TRUE" ]
then
  COMMAND="/usr/sbin/roledel -r "$TARGETUSER
else
  COMMAND="/usr/sbin/userdel -r "$TARGETUSER
fi

if [ $CHECKMODE ]
then
  /bin/logger -p $FACILITY.notice -t $0 -i \
     `echo ":"$COMMAND":"`
  exit $NOTHINGTODO
else  
  eval $COMMAND
  RC=$?
  /bin/logger -p $FACILITY.notice -t $0 -i \
     `echo ":"$COMMAND": RC="$RC`
  exit $RC
fi

# shouldn't ever get here
exit 255
