#!/bin/sh
#echo does_user_exist.sh
#set -x
#
#  Please read the License and Disclaimer found in the Readme.txt file 
#  in the /usr/local/ASAM/bin/PlatformServices/PlatformReceiver/scripts
#  directory.
#
#  COPYRIGHT
#
#  Copyright @ 2002 Omnibond Systems, LLC.
#
#

if [ "$DEBUGMODE" = "TRUE" ] ; then set -x ; fi

[ "$TARGETUSER" ]
if [ $? = "1" ]
then
  /bin/logger -p $FACILITY.err -t $0 -i \
     `echo "TARGETUSER not set!"`
  exit 254
fi

TARGETUSER=`echo $TARGETUSER|awk -F- '{ print $1 }'`

# check to see if user exists
/bin/id $TARGETUSER > /dev/null 2>&1
# map id(1) return codes to what we want them to be
if [ $? = "0" ] ; then exit 1 ; else exit 0 ; fi
exit 255 #should never get here
